Linux support for Picoscope 3200A series

Discussion forum for the new Picoscope Linux software
Post Reply
moatazsawi
Newbie
Posts: 0
Joined: Mon Jul 07, 2014 6:38 am

Linux support for Picoscope 3200A series

Post by moatazsawi »

I am planning to purchase Picoscope 3204A and install it in Ubuntu 13.10 OS, so we want to the know the kernel of the Ubuntu 11.04 that support the driver for Picoscope 3200A devices to insure if it could work in our OS.

Besides that, as indicated in the driver installation website that the driver do not fully support every function in every product, so what is the list of the functions supported by the linux driver for Picoscope 3204A devices.

mario_
Site Admin
Site Admin
Posts: 112
Joined: Fri Sep 13, 2013 12:57 pm

Re: Linux support for Picoscope 3200A series

Post by mario_ »

Hi moatazsawi,

PS3204A is supported via libps3000a driver. This driver has all the features available via programmable API as the windows driver. It is the PicoScope 6 for Linux that misses features. We are working on getting the same level of functionality between those two versions. Although Ubuntu 11.04 is not within our test range (mainly we focus on Ubuntu 12.04 and above) I don't see any reason why the driver wouldn't work on older version.

Shiva
Newbie
Posts: 0
Joined: Sat Mar 28, 2015 7:27 pm

Re: Linux support for Picoscope 3200A series

Post by Shiva »

Can not write to "-" (broken pipe) "
After copy and paste the next 2 lines of the 4 line s in the terminal, I read (in Dutch):
"E: Kan pakket picoscope niet vinden---->cannot find picoscope."

What is wrong ?
-->
I have also a 3204A. I like to use it on an old acer PC with XUBUNTU (was Win XP).
I am not good in Linux.
I use the https://www.picotech.com/downloads/linux
After copy and paste 2 lines in the terminal I get (in Dutch):
"Kan niet naar '‘-’' schrijven (Gebroken pijp).----> Can not write to "-" (broken pipe) "
After copy and paste the next 2 lines of the 4 line s in the terminal, I read (in Dutch):
"E: Kan pakket picoscope niet vinden---->cannot find picoscope."

What is wrong ?